Summary: DNS Sanity Tool
Name: dnswalk
Version: 2.0.2
Release: 1
Copyright: Free
Source0: dnswalk-2.0.2.tar.gz
URL: http://www.cis.ohio-state.edu/~barr/dnswalk/
Packager: Ximenes Zalteca <ximenes@mythic.net>
Requires: perl-Net-DNS, perl >= 5.004
Group: Networking/Utilities
Buildroot: /var/tmp/dnswalk-root
Buildarch: noarch

%description
DNS diagnostic tool using Perl

%prep
%setup -a 0 -c

cat dnswalk | sed s}/usr/contrib/bin/perl}/usr/bin/perl} > dnswalk.tmp
mv -f dnswalk.tmp dnswalk

cat makereports | sed s}/usr/contrib/bin/perl}/usr/bin/perl} > makereports.tmp
mv -f makereports.tmp makereports

gzip dnswalk.1

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}/usr/sbin/
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man1

install -m 755 dnswalk ${RPM_BUILD_ROOT}/usr/sbin/dnswalk
install dnswalk.1.gz ${RPM_BUILD_ROOT}/usr/man/man1/dnswalk.1.gz

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc CHANGES README TODO makereports sendreports rfc1912.txt do-dnswalk
/usr/sbin/dnswalk
/usr/man/man1/dnswalk.1.gz
